Index: CKEditor/trunk/_source/lang/sr.js
===================================================================
--- CKEditor/trunk/_source/lang/sr.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/sr.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Унеси хоризонталну линију',
 	pagebreak		: 'Insert Page Break for Printing', // MISSING
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Уклони линк',
 	undo			: 'Поништи акцију',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Ширина',
+		height			: 'Висина',
+		align			: 'Равнање',
+		alignLeft		: 'Лево',
+		alignRight		: 'Десно',
+		alignCenter		: 'Средина',
+		alignTop		: 'Врх',
+		alignMiddle		: 'Средина',
+		alignBottom		: 'Доле',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Скрол бар',
 		popupDependent	: 'Зависно (Netscape)',
-		popupWidth		: 'Ширина',
 		popupLeft		: 'Од леве ивице екрана (пиксела)',
-		popupHeight		: 'Висина',
 		popupTop		: 'Од врха екрана (пиксела)',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Kолона',
 		border		: 'Величина оквира',
-		align		: 'Равнање',
-		alignLeft	: 'Лево',
-		alignCenter	: 'Средина',
-		alignRight	: 'Десно',
-		width		: 'Ширина',
 		widthPx		: 'пиксела',
 		widthPc		: 'процената',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Висина',
 		cellSpace	: 'Ћелијски простор',
 		cellPad		: 'Размак ћелија',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Пошаљи',
 		alt			: 'Алтернативни текст',
-		width		: 'Ширина',
-		height		: 'Висина',
 		lockRatio	: 'Закључај однос',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'HSpace',
 		vSpace		: 'VSpace',
-		align		: 'Равнање',
-		alignLeft	: 'Лево',
-		alignRight	: 'Десно',
 		alertUrl	: 'Унесите УРЛ слике',
 		linkTab		: 'Линк',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Равнање',
-		alignLeft		: 'Лево',
 		alignAbsBottom	: 'Abs доле',
 		alignAbsMiddle	: 'Abs средина',
 		alignBaseline	: 'Базно',
-		alignBottom		: 'Доле',
-		alignMiddle		: 'Средина',
-		alignRight		: 'Десно',
 		alignTextTop	: 'Врх текста',
-		alignTop		: 'Врх',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Боја позадине',
-		width			: 'Ширина',
-		height			: 'Висина',
 		hSpace			: 'HSpace',
 		vSpace			: 'VSpace',
 		validateSrc		: 'Унесите УРЛ линка',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sv.js
===================================================================
--- CKEditor/trunk/_source/lang/sv.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/sv.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Infoga horisontal linje',
 	pagebreak		: 'Infoga sidbrytning',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Radera länk',
 	undo			: 'Ångra',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Bredd',
+		height			: 'Höjd',
+		align			: 'Justering',
+		alignLeft		: 'Vänster',
+		alignRight		: 'Höger',
+		alignCenter		: 'Centrerad',
+		alignTop		: 'Överkant',
+		alignMiddle		: 'Mitten',
+		alignBottom		: 'Nederkant',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Scrolllista',
 		popupDependent	: 'Beroende (endest Netscape)',
-		popupWidth		: 'Bredd',
 		popupLeft		: 'Position från vänster',
-		popupHeight		: 'Höjd',
 		popupTop		: 'Position från sidans topp',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'Kolumner',
 		border		: 'Kantstorlek',
-		align		: 'Justering',
-		alignLeft	: 'Vänster',
-		alignCenter	: 'Centrerad',
-		alignRight	: 'Höger',
-		width		: 'Bredd',
 		widthPx		: 'pixlar',
 		widthPc		: 'procent',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'Höjd',
 		cellSpace	: 'Cellavstånd',
 		cellPad		: 'Cellutfyllnad',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'Ladda upp',
 		alt			: 'Alternativ text',
-		width		: 'Bredd',
-		height		: 'Höjd',
 		lockRatio	: 'Lås höjd/bredd förhållanden',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'Horis. marginal',
 		vSpace		: 'Vert. marginal',
-		align		: 'Justering',
-		alignLeft	: 'Vänster',
-		alignRight	: 'Höger',
 		alertUrl	: 'Var god och ange bildens URL',
 		linkTab		: 'Länk',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'Justering',
-		alignLeft		: 'Vänster',
 		alignAbsBottom	: 'Absolut nederkant',
 		alignAbsMiddle	: 'Absolut centrering',
 		alignBaseline	: 'Baslinje',
-		alignBottom		: 'Nederkant',
-		alignMiddle		: 'Mitten',
-		alignRight		: 'Höger',
 		alignTextTop	: 'Text överkant',
-		alignTop		: 'Överkant',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'Bakgrundsfärg',
-		width			: 'Bredd',
-		height			: 'Höjd',
 		hSpace			: 'Horis. marginal',
 		vSpace			: 'Vert. marginal',
 		validateSrc		: 'Var god ange länkens URL',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/th.js
===================================================================
--- CKEditor/trunk/_source/lang/th.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/th.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'แทรกเส้นคั่นบรรทัด',
 	pagebreak		: 'แทรกตัวแบ่งหน้า Page Break',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'ลบ ลิงค์',
 	undo			: 'ยกเลิกคำสั่ง',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'ความกว้าง',
+		height			: 'ความสูง',
+		align			: 'การจัดวาง',
+		alignLeft		: 'ชิดซ้าย',
+		alignRight		: 'ชิดขวา',
+		alignCenter		: 'กึ่งกลาง',
+		alignTop		: 'บนสุด',
+		alignMiddle		: 'กึ่งกลางแนวตั้ง',
+		alignBottom		: 'ชิดด้านล่าง',
+		invalidHeight	: 'Height must be a number.', // MISSING
+		invalidWidth	: 'Width must be a number.', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'แสดงแถบเลื่อน',
 		popupDependent	: 'แสดงเต็มหน้าจอ (Netscape)',
-		popupWidth		: 'กว้าง',
 		popupLeft		: 'พิกัดซ้าย (Left Position)',
-		popupHeight		: 'สูง',
 		popupTop		: 'พิกัดบน (Top Position)',
 		id				: 'Id', // MISSING
@@ -244,13 +254,7 @@
 		columns		: 'สดมน์',
 		border		: 'ขนาดเส้นขอบ',
-		align		: 'การจัดตำแหน่ง',
-		alignLeft	: 'ชิดซ้าย',
-		alignCenter	: 'กึ่งกลาง',
-		alignRight	: 'ชิดขวา',
-		width		: 'กว้าง',
 		widthPx		: 'จุดสี',
 		widthPc		: 'เปอร์เซ็น',
 		widthUnit	: 'width unit', // MISSING
-		height		: 'สูง',
 		cellSpace	: 'ระยะแนวนอนน',
 		cellPad		: 'ระยะแนวตั้ง',
@@ -288,7 +292,4 @@
 			hAlign			: 'Horizontal Alignment', // MISSING
 			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
 			alignBaseline	: 'Baseline', // MISSING
 			bgColor			: 'Background Color', // MISSING
@@ -411,6 +412,4 @@
 		upload		: 'อัพโหลดไฟล์',
 		alt			: 'คำประกอบรูปภาพ',
-		width		: 'ความกว้าง',
-		height		: 'ความสูง',
 		lockRatio	: 'กำหนดอัตราส่วน กว้าง-สูง แบบคงที่',
 		unlockRatio	: 'Unlock Ratio', // MISSING
@@ -419,7 +418,4 @@
 		hSpace		: 'ระยะแนวนอน',
 		vSpace		: 'ระยะแนวตั้ง',
-		align		: 'การจัดวาง',
-		alignLeft	: 'ชิดซ้าย',
-		alignRight	: 'ชิดขวา',
 		alertUrl	: 'กรุณาระบุที่อยู่อ้างอิงออนไลน์ของไฟล์รูปภาพ (URL)',
 		linkTab		: 'ลิ้งค์',
@@ -427,6 +423,4 @@
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
 		urlMissing	: 'Image source URL is missing.', // MISSING
-		validateWidth	: 'Width must be a whole number.', // MISSING
-		validateHeight	: 'Height must be a whole number.', // MISSING
 		validateBorder	: 'Border must be a whole number.', // MISSING
 		validateHSpace	: 'HSpace must be a whole number.', // MISSING
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Same domain', // MISSING
 		accessNever		: 'Never', // MISSING
-		align			: 'การจัดวาง',
-		alignLeft		: 'ชิดซ้าย',
 		alignAbsBottom	: 'ชิดด้านล่างสุด',
 		alignAbsMiddle	: 'กึ่งกลาง',
 		alignBaseline	: 'ชิดบรรทัด',
-		alignBottom		: 'ชิดด้านล่าง',
-		alignMiddle		: 'กึ่งกลางแนวตั้ง',
-		alignRight		: 'ชิดขวา',
 		alignTextTop	: 'ใต้ตัวอักษร',
-		alignTop		: 'บนสุด',
 		quality			: 'Quality', // MISSING
 		qualityBest		: 'Best', // MISSING
@@ -475,11 +463,7 @@
 		flashvars		: 'Variables for Flash', // MISSING
 		bgcolor			: 'สีพื้นหลัง',
-		width			: 'ความกว้าง',
-		height			: 'ความสูง',
 		hSpace			: 'ระยะแนวนอน',
 		vSpace			: 'ระยะแนวตั้ง',
 		validateSrc		: 'กรุณาระบุที่อยู่อ้างอิงออนไลน์ (URL)',
-		validateWidth	: 'Width must be a number.', // MISSING
-		validateHeight	: 'Height must be a number.', // MISSING
 		validateHSpace	: 'HSpace must be a number.', // MISSING
 		validateVSpace	: 'VSpace must be a number.' // MISSING
@@ -615,4 +599,13 @@
 		remove				: 'Remove Div' // MISSING
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Anchor', // MISSING
-		flash	: 'Flash Animation', // MISSING
-		div		: 'Page Break', // MISSING
-		unknown	: 'Unknown Object' // MISSING
+		anchor		: 'Anchor', // MISSING
+		flash		: 'Flash Animation', // MISSING
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Unknown Object' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/tr.js
===================================================================
--- CKEditor/trunk/_source/lang/tr.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/tr.js	(revision 6241)
@@ -56,4 +56,5 @@
 	horizontalrule	: 'Yatay Satır Ekle',
 	pagebreak		: 'Sayfa Sonu Ekle',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Köprü Kaldır',
 	undo			: 'Geri Al',
@@ -109,4 +110,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Genişlik',
+		height			: 'Yükseklik',
+		align			: 'Hizalama',
+		alignLeft		: 'Sol',
+		alignRight		: 'Sağ',
+		alignCenter		: 'Merkez',
+		alignTop		: 'Tepe',
+		alignMiddle		: 'Orta',
+		alignBottom		: 'Alt',
+		invalidHeight	: 'Yükseklik sayı olmalıdır.',
+		invalidWidth	: 'Genişlik bir sayı olmalıdır.',
 
 		// Put the voice-only part of the label in the span.
@@ -155,7 +167,5 @@
 		popupScrollBars	: 'Kaydırma Çubukları',
 		popupDependent	: 'Bağımlı (Netscape)',
-		popupWidth		: 'Genişlik',
 		popupLeft		: 'Sola Göre Konum',
-		popupHeight		: 'Yükseklik',
 		popupTop		: 'Yukarıya Göre Konum',
 		id				: 'Id',
@@ -243,13 +253,7 @@
 		columns		: 'Sütunlar',
 		border		: 'Kenar Kalınlığı',
-		align		: 'Hizalama',
-		alignLeft	: 'Sol',
-		alignCenter	: 'Merkez',
-		alignRight	: 'Sağ',
-		width		: 'Genişlik',
 		widthPx		: 'piksel',
 		widthPc		: 'yüzde',
 		widthUnit	: 'genişlik birimi',
-		height		: 'Yükseklik',
 		cellSpace	: 'Izgara kalınlığı',
 		cellPad		: 'Izgara yazı arası',
@@ -287,7 +291,4 @@
 			hAlign			: 'Düşey Hizalama',
 			vAlign			: 'Yataş Hizalama',
-			alignTop		: 'Üst',
-			alignMiddle		: 'Orta',
-			alignBottom		: 'Alt',
 			alignBaseline	: 'Tabana',
 			bgColor			: 'Arkaplan Rengi',
@@ -410,6 +411,4 @@
 		upload		: 'Karşıya Yükle',
 		alt			: 'Alternatif Yazı',
-		width		: 'Genişlik',
-		height		: 'Yükseklik',
 		lockRatio	: 'Oranı Kilitle',
 		unlockRatio	: 'Kilitli Oran',
@@ -418,7 +417,4 @@
 		hSpace		: 'Yatay Boşluk',
 		vSpace		: 'Dikey Boşluk',
-		align		: 'Hizalama',
-		alignLeft	: 'Sol',
-		alignRight	: 'Sağ',
 		alertUrl	: 'Lütfen resmin URL\'sini yazınız',
 		linkTab		: 'Köprü',
@@ -426,6 +422,4 @@
 		img2Button	: 'Seçili olan resimi, resimli butona çevirmek istermisiniz?',
 		urlMissing	: 'Resmin URL kaynağı eksiktir.',
-		validateWidth	: 'Genişlik tam sayı olmalıdır.',
-		validateHeight	: 'Yükseklik tam sayı olmalıdır.',
 		validateBorder	: 'Çerçeve tam sayı olmalıdır.',
 		validateHSpace	: 'HSpace tam sayı olmalıdır.',
@@ -451,14 +445,8 @@
 		accessSameDomain: 'Aynı domain',
 		accessNever		: 'Asla',
-		align			: 'Hizalama',
-		alignLeft		: 'Sol',
 		alignAbsBottom	: 'Tam Altı',
 		alignAbsMiddle	: 'Tam Ortası',
 		alignBaseline	: 'Taban Çizgisi',
-		alignBottom		: 'Alt',
-		alignMiddle		: 'Orta',
-		alignRight		: 'Sağ',
 		alignTextTop	: 'Yazı Tepeye',
-		alignTop		: 'Tepe',
 		quality			: 'Kalite',
 		qualityBest		: 'En iyi',
@@ -474,11 +462,7 @@
 		flashvars		: 'Flash Değerleri',
 		bgcolor			: 'Arka Renk',
-		width			: 'Genişlik',
-		height			: 'Yükseklik',
 		hSpace			: 'Yatay Boşluk',
 		vSpace			: 'Dikey Boşluk',
 		validateSrc		: 'Lütfen köprü URL\'sini yazın',
-		validateWidth	: 'Genişlik bir sayı olmalıdır.',
-		validateHeight	: 'Yükseklik sayı olmalıdır.',
 		validateHSpace	: 'HSpace sayı olmalıdır.',
 		validateVSpace	: 'VSpace sayı olmalıdır.'
@@ -614,4 +598,13 @@
 		remove				: 'Div Kaldır'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -730,8 +723,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Bağlantı',
-		flash	: 'Flash Animasyonu',
-		div		: 'Sayfa Kesimi',
-		unknown	: 'Bilinmeyen Nesne'
+		anchor		: 'Bağlantı',
+		flash		: 'Flash Animasyonu',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Bilinmeyen Nesne'
 	},
 
Index: CKEditor/trunk/_source/lang/uk.js
===================================================================
--- CKEditor/trunk/_source/lang/uk.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/uk.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Горизонтальна лінія',
 	pagebreak		: 'Вставити розрив сторінки',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Видалити посилання',
 	undo			: 'Повернути',
@@ -110,4 +111,15 @@
 		styles			: 'Стиль CSS',
 		cssClasses		: 'Клас CSS',
+		width			: 'Ширина',
+		height			: 'Висота',
+		align			: 'Вирівнювання',
+		alignLeft		: 'По лівому краю',
+		alignRight		: 'По правому краю',
+		alignCenter		: 'По центру',
+		alignTop		: 'По верхньому краю',
+		alignMiddle		: 'По середині',
+		alignBottom		: 'По нижньому краю',
+		invalidHeight	: 'Висота повинна бути цілим числом.',
+		invalidWidth	: 'Ширина повинна бути цілим числом.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Стрічки прокрутки',
 		popupDependent	: 'Залежний (Netscape)',
-		popupWidth		: 'Ширина',
 		popupLeft		: 'Позиція зліва',
-		popupHeight		: 'Висота',
 		popupTop		: 'Позиція зверху',
 		id				: 'Ідентифікатор',
@@ -244,13 +254,7 @@
 		columns		: 'Стовбці',
 		border		: 'Розмір рамки',
-		align		: 'Вирівнювання',
-		alignLeft	: 'По лівому краю',
-		alignCenter	: 'По центру',
-		alignRight	: 'По правому краю',
-		width		: 'Ширина',
 		widthPx		: 'пікселів',
 		widthPc		: 'відсотків',
 		widthUnit	: 'Одиниці вимір.',
-		height		: 'Висота',
 		cellSpace	: 'Проміжок',
 		cellPad		: 'Внутр. відступ',
@@ -288,7 +292,4 @@
 			hAlign			: 'Гориз. вирівнювання',
 			vAlign			: 'Верт. вирівнювання',
-			alignTop		: 'По верхньому краю',
-			alignMiddle		: 'По середині',
-			alignBottom		: 'По нижньому краю',
 			alignBaseline	: 'По базовій лінії',
 			bgColor			: 'Колір фону',
@@ -411,6 +412,4 @@
 		upload		: 'Надіслати',
 		alt			: 'Альтернативний текст',
-		width		: 'Ширина',
-		height		: 'Висота',
 		lockRatio	: 'Зберегти пропорції',
 		unlockRatio	: 'Не зберігати пропорції',
@@ -419,7 +418,4 @@
 		hSpace		: 'Гориз. відступ',
 		vSpace		: 'Верт. відступ',
-		align		: 'Вирівн.',
-		alignLeft	: 'По лівому краю',
-		alignRight	: 'По правому краю',
 		alertUrl	: 'Будь ласка, вкажіть URL зображення',
 		linkTab		: 'Посилання',
@@ -427,6 +423,4 @@
 		img2Button	: 'Бажаєте перетворити обране зображення на кнопку-зображення?',
 		urlMissing	: 'Вкажіть URL зображення.',
-		validateWidth	: 'Ширина повинна бути цілим числом.',
-		validateHeight	: 'Висота повинна бути цілим числом.',
 		validateBorder	: 'Ширина рамки повинна бути цілим числом.',
 		validateHSpace	: 'Гориз. відступ повинен бути цілим числом.',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'З того ж домена',
 		accessNever		: 'Ніколи',
-		align			: 'Вирівнювання',
-		alignLeft		: 'По лівому краю',
 		alignAbsBottom	: 'По нижньому краю (abs)',
 		alignAbsMiddle	: 'По середині (abs)',
 		alignBaseline	: 'По базовій лінії',
-		alignBottom		: 'По нижньому краю',
-		alignMiddle		: 'По середині',
-		alignRight		: 'По правому краю',
 		alignTextTop	: 'Текст по верхньому краю',
-		alignTop		: 'По верхньому краю',
 		quality			: 'Якість',
 		qualityBest		: 'Відмінна',
@@ -475,11 +463,7 @@
 		flashvars		: 'Змінні Flash',
 		bgcolor			: 'Колір фону',
-		width			: 'Ширина',
-		height			: 'Висота',
 		hSpace			: 'Гориз. відступ',
 		vSpace			: 'Верт. відступ',
 		validateSrc		: 'Будь ласка, вкажіть URL посилання',
-		validateWidth	: 'Ширина повинна бути цілим числом.',
-		validateHeight	: 'Висота повинна бути цілим числом.',
 		validateHSpace	: 'Гориз. відступ повинен бути цілим числом.',
 		validateVSpace	: 'Верт. відступ повинен бути цілим числом.'
@@ -615,4 +599,13 @@
 		remove				: 'Видалити блок'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Якір',
-		flash	: 'Flash-анімація',
-		div		: 'Розрив сторінки',
-		unknown	: 'Невідомий об\'єкт'
+		anchor		: 'Якір',
+		flash		: 'Flash-анімація',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Невідомий об\'єкт'
 	},
 
Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: 'Chèn đường phân cách ngang',
 	pagebreak		: 'Chèn ngắt trang',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: 'Xoá liên kết',
 	undo			: 'Khôi phục thao tác',
@@ -110,4 +111,15 @@
 		styles			: 'Style', // MISSING
 		cssClasses		: 'Stylesheet Classes', // MISSING
+		width			: 'Chiều rộng',
+		height			: 'chiều cao',
+		align			: 'Vị trí',
+		alignLeft		: 'Trái',
+		alignRight		: 'Phải',
+		alignCenter		: 'Giữa',
+		alignTop		: 'Trên',
+		alignMiddle		: 'Giữa',
+		alignBottom		: 'Dưới',
+		invalidHeight	: 'Chiều cao phải là số nguyên.',
+		invalidWidth	: 'Chiều rộng phải là số nguyên.',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: 'Thanh cuộn',
 		popupDependent	: 'Phụ thuộc (Netscape)',
-		popupWidth		: 'Rộng',
 		popupLeft		: 'Vị trí bên trái',
-		popupHeight		: 'Cao',
 		popupTop		: 'Vị trí phía trên',
 		id				: 'Định danh',
@@ -244,13 +254,7 @@
 		columns		: 'Số cột',
 		border		: 'Kích thước đường viền',
-		align		: 'Canh lề',
-		alignLeft	: 'Trái',
-		alignCenter	: 'Giữa',
-		alignRight	: 'Phải',
-		width		: 'Rộng',
 		widthPx		: 'Điểm ảnh (px)',
 		widthPc		: 'Phần trăm (%)',
 		widthUnit	: 'Đơn vị',
-		height		: 'Chiều cao',
 		cellSpace	: 'Khoảng cách giữa các ô',
 		cellPad		: 'Khoảng đệm giữ ô và nội dung',
@@ -288,7 +292,4 @@
 			hAlign			: 'Canh lề ngang',
 			vAlign			: 'Canh lề dọc',
-			alignTop		: 'Trên cùng',
-			alignMiddle		: 'Chính giữa',
-			alignBottom		: 'Dưới cùng',
 			alignBaseline	: 'Đường cơ sở',
 			bgColor			: 'Màu nền',
@@ -411,6 +412,4 @@
 		upload		: 'Tải lên',
 		alt			: 'Chú thích ảnh',
-		width		: 'Chiều rộng',
-		height		: 'chiều cao',
 		lockRatio	: 'Giữ nguyên tỷ lệ',
 		unlockRatio	: 'Phá bỏ tỷ lệ',
@@ -419,7 +418,4 @@
 		hSpace		: 'Khoảng đệm ngang',
 		vSpace		: 'Khoảng đệm dọc',
-		align		: 'Vị trí',
-		alignLeft	: 'Bên trái',
-		alignRight	: 'Bên phải',
 		alertUrl	: 'Hãy đưa vào đường dẫn của ảnh',
 		linkTab		: 'Tab liên kết',
@@ -427,6 +423,4 @@
 		img2Button	: 'Bạn có muốn chuyển đổi ảnh được chọn thành nút bấm bằng ảnh?',
 		urlMissing	: 'Thiếu đường dẫn hình ảnh',
-		validateWidth	: 'Chiều rộng của ảnh phải là một số nguyên dương',
-		validateHeight	: 'Chiều cao của ảnh phải là một số nguyên dương',
 		validateBorder	: 'Chiều rộng của đường viền phải là một số nguyên dương',
 		validateHSpace	: 'Khoảng đệm ngang phải là một số nguyên dương',
@@ -452,14 +446,8 @@
 		accessSameDomain: 'Cùng tên miền',
 		accessNever		: 'Không bao giờ',
-		align			: 'Vị trí',
-		alignLeft		: 'Trái',
 		alignAbsBottom	: 'Dưới tuyệt đối',
 		alignAbsMiddle	: 'Giữa tuyệt đối',
 		alignBaseline	: 'Đường cơ sở',
-		alignBottom		: 'Dưới',
-		alignMiddle		: 'Giữa',
-		alignRight		: 'Phải',
 		alignTextTop	: 'Phía trên chữ',
-		alignTop		: 'Trên',
 		quality			: 'Chất lượng',
 		qualityBest		: 'Tốt nhất',
@@ -475,11 +463,7 @@
 		flashvars		: 'Các biến số dành cho Flash',
 		bgcolor			: 'Màu nền',
-		width			: 'Rộng',
-		height			: 'Cao',
 		hSpace			: 'Khoảng đệm ngang',
 		vSpace			: 'Khoảng đệm dọc',
 		validateSrc		: 'Hãy đưa vào đường dẫn liên kết',
-		validateWidth	: 'Chiều rộng phải là số nguyên.',
-		validateHeight	: 'Chiều cao phải là số nguyên.',
 		validateHSpace	: 'Khoảng đệm ngang phải là số nguyên.',
 		validateVSpace	: 'Khoảng đệm dọc phải là số nguyên.'
@@ -615,4 +599,13 @@
 		remove				: 'Xóa bỏ'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame Properties', // MISSING
+		toolbar		: 'iFrame', // MISSING
+		noUrl		: 'Please type the iFrame URL', // MISSING
+		scrolling	: 'Enable scrollbars', // MISSING
+		border		: 'Show frame border' // MISSING
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: 'Điểm neo',
-		flash	: 'Flash',
-		div		: 'Ngắt trang',
-		unknown	: 'Đối tượng không rõ ràng'
+		anchor		: 'Điểm neo',
+		flash		: 'Flash',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: 'Đối tượng không rõ ràng'
 	},
 
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 6232)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 6241)
@@ -57,4 +57,5 @@
 	horizontalrule	: '插入水平线',
 	pagebreak		: '插入分页符',
+	pagebreakAlt		: 'Page Break', // MISSING
 	unlink			: '取消超链接',
 	undo			: '撤消',
@@ -110,4 +111,15 @@
 		styles			: '样式',
 		cssClasses		: '样式类',
+		width			: '宽度',
+		height			: '高度',
+		align			: '对齐方式',
+		alignLeft		: '左对齐',
+		alignRight		: '右对齐',
+		alignCenter		: '居中',
+		alignTop		: '顶端',
+		alignMiddle		: '居中',
+		alignBottom		: '底部',
+		invalidHeight	: '高度必须为数字格式',
+		invalidWidth	: '宽度必须为数字格式',
 
 		// Put the voice-only part of the label in the span.
@@ -156,7 +168,5 @@
 		popupScrollBars	: '滚动条',
 		popupDependent	: '依附 (NS)',
-		popupWidth		: '宽',
 		popupLeft		: '左',
-		popupHeight		: '高',
 		popupTop		: '右',
 		id				: 'ID',
@@ -244,13 +254,7 @@
 		columns		: '列数',
 		border		: '边框',
-		align		: '对齐',
-		alignLeft	: '左对齐',
-		alignCenter	: '居中',
-		alignRight	: '右对齐',
-		width		: '宽度',
 		widthPx		: '像素',
 		widthPc		: '百分比',
 		widthUnit	: '宽度单位',
-		height		: '高度',
 		cellSpace	: '间距',
 		cellPad		: '边距',
@@ -288,7 +292,4 @@
 			hAlign			: '水平对齐',
 			vAlign			: '垂直对齐',
-			alignTop		: '顶端',
-			alignMiddle		: '中间',
-			alignBottom		: '底部',
 			alignBaseline	: '基线',
 			bgColor			: '背景颜色',
@@ -411,6 +412,4 @@
 		upload		: '上传',
 		alt			: '替换文本',
-		width		: '宽度',
-		height		: '高度',
 		lockRatio	: '锁定比例',
 		unlockRatio	: '不锁定比例',
@@ -419,7 +418,4 @@
 		hSpace		: '水平间距',
 		vSpace		: '垂直间距',
-		align		: '对齐方式',
-		alignLeft	: '左对齐',
-		alignRight	: '右对齐',
 		alertUrl	: '请输入图象地址',
 		linkTab		: '链接',
@@ -427,6 +423,4 @@
 		img2Button	: '确定要把当前图像改变为按钮吗?',
 		urlMissing	: '缺少图像源文件地址',
-		validateWidth	: '图像宽度必须为整数格式',
-		validateHeight	: '图像高度必须为整数格式',
 		validateBorder	: '边框大小必须为整数格式',
 		validateHSpace	: '水平间距必须为整数格式',
@@ -452,14 +446,8 @@
 		accessSameDomain: '同域',
 		accessNever		: '从不',
-		align			: '对齐方式',
-		alignLeft		: '左对齐',
 		alignAbsBottom	: '绝对底部',
 		alignAbsMiddle	: '绝对居中',
 		alignBaseline	: '基线',
-		alignBottom		: '底部',
-		alignMiddle		: '居中',
-		alignRight		: '右对齐',
 		alignTextTop	: '文本上方',
-		alignTop		: '顶端',
 		quality			: '质量',
 		qualityBest		: '最好',
@@ -475,11 +463,7 @@
 		flashvars		: 'Flash 变量',
 		bgcolor			: '背景颜色',
-		width			: '宽度',
-		height			: '高度',
 		hSpace			: '水平间距',
 		vSpace			: '垂直间距',
 		validateSrc		: '请输入源文件地址',
-		validateWidth	: '宽度必须为数字格式',
-		validateHeight	: '高度必须为数字格式',
 		validateHSpace	: '水平间距必须为数字格式',
 		validateVSpace	: '垂直间距必须为数字格式'
@@ -615,4 +599,13 @@
 		remove				: '移除 DIV'
   	},
+
+	iframe :
+	{
+		title		: 'iFrame属性',
+		toolbar		: 'iFrame',
+		noUrl		: '请输入框架的 URL',
+		scrolling	: '允许滚动条',
+		border		: '显示框架边框'
+	},
 
 	font :
@@ -731,8 +724,9 @@
 	fakeobjects :
 	{
-		anchor	: '锚点',
-		flash	: 'Flash 动画',
-		div		: '分页',
-		unknown	: '未知对象'
+		anchor		: '锚点',
+		flash		: 'Flash 动画',
+		iframe		: 'iFrame', // MISSING
+		hiddenfield	: 'Hidden Field', // MISSING
+		unknown		: '未知对象'
 	},
 
